@import "./variables";

body {
  margin: 0;
  font-family: "Upgrade", sans-serif;
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.5;
  color: $text-color;
  text-align: left;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  -moz-font-feature-settings: "liga" on;
  font-feature-settings: "liga" on;
  background-color: $background-color;
  height: auto;
}

.content {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

a {
  color: $highlight-color;

  &:hover {
    color: $highlight-color-dark;
  }
}

.container {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
}

.row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.no-underline {
  text-decoration: none;
}

@media only screen and (max-width: 900px) {
  body {
    overflow-x: hidden;
  }
}

.footer {
  display: flex;
  align-self: center;
  margin-top: 2rem;

  a {
    align-self: flex-end;
    text-decoration: none;
    margin-bottom: 2pt;
  }
}

.object-cover {
  object-fit: cover;
}
